Debian Bug report logs - #559867
RFP: squirrel-sql -- graphical universal SQL client

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Thorsten Glaser <tg@mirbsd.de>

Date: Mon, 7 Dec 2009 11:27:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, tg@mirbsd.de, <wnpp@debian.org>:
Bug#559867; Package wnpp. (Mon, 07 Dec 2009 11:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
New Bug report received and forwarded. Copy sent to tg@mirbsd.de, <wnpp@debian.org>. (Mon, 07 Dec 2009 11:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: squirrel-sql -- graphical universal SQL client
Date: Mon, 07 Dec 2009 11:23:49 +0000
Package: wnpp
Severity: wishlist

* Package name    : squirrel-sql
  Version         : 3.0.3
  Upstream Author : squirrel-sql-develop@lists.sourceforge.net
* URL             : http://squirrel-sql.sourceforge.net/
* License         : GPL, LGPL (according to SF)
  Programming Lang: Java™
  Description     : graphical universal SQL client

SQuirreL SQL Client is a graphical SQL client written in Java that will
allow you to view the structure of a JDBC compliant database, browse the
data in tables, issue SQL commands etc.

SQuirreL SQL Client is a graphical Java program that will allow you to
view the structure of a JDBC compliant database, browse the data in
tables, issue SQL commands etc, see Introduction. The minimum version of
Java supported is 1.6.x as of SQuirreL version 3.0. See the Old Versions
page for versions of SQuirreL that will work with older versions of
Java.
SQuirreL's functionality can be extended through the use of plugins.
A short introduction can be found here. To see the change history
(including changes not yet released) click here. For a more detailed
introduction see the English or German of our paper on SQuirreL. Susan
Cline graciously took the time to document the steps she followed to
setup an Apache Derby database from scratch and use the SQuirreL SQL
Client to explore it. Quite some time ago Kulvir Singh Bhogal wrote a
great tutorial on SQuirreL and published it at the IBM developerWorks
site. He has kindly allowed us to mirror it locally. The tutorial is not
really up to date but especially for doing the first steps it is still
of help. SQuirrel was originally released under the GNU General Public
License. Since version 1.1beta2 it has been released under the GNU
Lesser General Public License.


I was made aware that “most” of our colleagues (Java™ developers, most
of them) use this as graphical SQL tool. I personally don’t know what
to do with such things, but I’d like to be able to offer to centrally
install this software on our workstations using the package management
system, which is why I file this RFP.

I don’t know how well this can be integrated into usual Debian Pak-
kaging systems though… they use that “drop the JAR into your $HOME
and run it” method many Java™ applications seem to be fond of…




Owner recorded as Vladimir Kotov <vladimir@kotov.lv>. Request was from Vladimir Kotov <vladimir@kotov.lv> to control@bugs.debian.org. (Sat, 15 Jan 2011 07:39:10 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: squirrel-sql -- graphical universal SQL client' from 'RFP: squirrel-sql -- graphical universal SQL client' Request was from Vladimir Kotov <vladimir@kotov.lv> to control@bugs.debian.org. (Sat, 15 Jan 2011 07:39:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vladimir Kotov <vladimir@kotov.lv>:
Bug#559867; Package wnpp. (Wed, 27 Jul 2011 16:30:53 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vladimir Kotov <vladimir@kotov.lv>. (Wed, 27 Jul 2011 16:30:53 GMT) Full text and rfc822 format available.

Message #14 received at 559867@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 559867@bugs.debian.org
Cc: control@bugs.debian.org
Subject: squirrel-sql: changing back from ITP to RFP
Date: Wed, 27 Jul 2011 18:02:32 +0200
retitle 559867 RFP: squirrel-sql -- graphical universal SQL client
noowner 559867
thanks

Hi,

This is an automatic email to change the status of squirrel-sql back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting squirrel-sql, please send a mail to
<control@bugs.debian.org> with:

 retitle 559867 ITP: squirrel-sql -- graphical universal SQL client
 owner 559867 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <559867@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: squirrel-sql -- graphical universal SQL client' from 'ITP: squirrel-sql -- graphical universal SQL client' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:54:42 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Vladimir Kotov <vladimir@kotov.lv>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:54:43 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#559867; Package wnpp. (Wed, 27 Jul 2011 19:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladimir Kotov <vladimir@kotov.lv>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 27 Jul 2011 19:51:06 GMT) Full text and rfc822 format available.

Message #23 received at 559867@bugs.debian.org (full text, mbox):

From: Vladimir Kotov <vladimir@kotov.lv>
To: 559867@bugs.debian.org
Subject: squirrel-sql
Date: Wed, 27 Jul 2011 22:46:46 +0300
retitle 559867 ITP: squirrel-sql -- graphical universal SQL client
owner 559867 !
thanks

Initial package for squirrel 3.2.0 and its plugins is available at
svn://svn.debian.org/svn/pkg-java/trunk/squirrel-sql




Changed Bug title to 'ITP: squirrel-sql -- graphical universal SQL client' from 'RFP: squirrel-sql -- graphical universal SQL client' Request was from Vladimir Kotov <vladimir@kotov.lv> to control@bugs.debian.org. (Wed, 27 Jul 2011 19:57:07 GMT) Full text and rfc822 format available.

Owner recorded as Vladimir Kotov <vladimir@kotov.lv>. Request was from Vladimir Kotov <vladimir@kotov.lv> to control@bugs.debian.org. (Wed, 27 Jul 2011 19:57:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vladimir Kotov <vladimir@kotov.lv>:
Bug#559867; Package wnpp. (Mon, 27 May 2013 14:10:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vladimir Kotov <vladimir@kotov.lv>. (Mon, 27 May 2013 14:10:33 GMT) Full text and rfc822 format available.

Message #32 received at 559867@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 559867@bugs.debian.org
Cc: control@bugs.debian.org
Subject: squirrel-sql: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:23 +0200
retitle 559867 RFP: squirrel-sql -- graphical universal SQL client
noowner 559867
tag 559867 - pending
thanks

Hi,

This is an automatic email to change the status of squirrel-sql back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting squirrel-sql, please send a mail to
<control@bugs.debian.org> with:

 retitle 559867 ITP: squirrel-sql -- graphical universal SQL client
 owner 559867 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <559867@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: squirrel-sql -- graphical universal SQL client' from 'ITP: squirrel-sql -- graphical universal SQL client' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:39:01 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Vladimir Kotov <vladimir@kotov.lv>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:39:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:41:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.